Bug 1528288 - Review Request: python-ntlm-auth - Python 3 compatible NTLM library
Summary: Review Request: python-ntlm-auth - Python 3 compatible NTLM library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-21 13:01 UTC by James Hogarth
Modified: 2018-05-04 08:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 15:04:43 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description James Hogarth 2017-12-21 13:01:12 UTC
Spec URL: https://jhogarth.fedorapeople.org/python-ntlm-auth/python-ntlm-auth.spec
SRPM URL: https://jhogarth.fedorapeople.org/python-ntlm-auth/python-ntlm-auth-1.0.6-1.fc28.src.rpm

Description:  This package allows Python clients running on any operating system to provide NTLM authentication to a supporting server.

Fedora Account System Username: jhogarth

Note: This replaces python-ntlm3 which is why obsoletes is in place, and that package will be retired after this is included. This is required to update python-requests_ntlm to the current version. I've not added the old provides as I'm not sure it's 100% backwards compatible. The introduction of this will be coordinated with the update of python-requests_ntlm.

Comment 1 James Hogarth 2017-12-21 13:02:11 UTC
Nirik I've cc'd you as this is directly used by ansible for windows management.

Comment 2 Robert-André Mauchin 2017-12-21 17:55:24 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "LGPL (v3 or later)", "Unknown or generated".
     32 files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-ntlm-auth/review-python-ntlm-
     auth/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -ntlm-auth , python3-ntlm-auth
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-ntlm-auth-1.0.6-1.fc28.noarch.rpm
          python3-ntlm-auth-1.0.6-1.fc28.noarch.rpm
          python-ntlm-auth-1.0.6-1.fc28.src.rpm
python2-ntlm-auth.noarch: W: obsolete-not-provided python2-ntlm3
python3-ntlm-auth.noarch: W: obsolete-not-provided python3-ntlm3
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 3 Gwyn Ciesla 2018-01-05 13:41:33 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-ntlm-auth

Comment 4 Fedora Update System 2018-04-18 01:37:46 UTC
python-winrm-0.3.0-1.fc28 python-requests_ntlm-1.1.0-1.fc28 python-ntlm-auth-1.1.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-421c6c721d

Comment 5 Fedora Update System 2018-04-18 16:20:47 UTC
python-ntlm-auth-1.1.0-1.fc28, python-requests_ntlm-1.1.0-1.fc28, python-winrm-0.3.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-421c6c721d

Comment 6 Fedora Update System 2018-04-19 01:10:15 UTC
python-ntlm-auth-1.1.0-1.el7, python-requests_ntlm-1.1.0-1.el7, python-winrm-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d95115411f

Comment 7 Fedora Update System 2018-04-19 01:36:28 UTC
python-ntlm-auth-1.1.0-1.fc27, python-requests_ntlm-1.1.0-1.fc27, python-winrm-0.3.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff9fc57b02

Comment 8 Fedora Update System 2018-05-03 15:04:43 UTC
python-ntlm-auth-1.1.0-1.el7, python-requests_ntlm-1.1.0-1.el7, python-winrm-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-05-03 15:17:34 UTC
python-ntlm-auth-1.1.0-1.fc27, python-requests_ntlm-1.1.0-1.fc27, python-winrm-0.3.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-05-03 15:25:13 UTC
python-ntlm-auth-1.1.0-1.fc28, python-requests_ntlm-1.1.0-1.fc28, python-winrm-0.3.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-04 08:18:55 UTC
python-ntlm-auth-1.1.0-1.fc27, python-requests_ntlm-1.1.0-1.fc27, python-winrm-0.3.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.